Subject: Problems uploading to NFS mounted directories

From: [email-masked] (Toomas Losin)
Date: Tue, 5 Mar 1996 20:39:39 -0800 (PST)

We're running wu-ftpd under SCO OpenServer 5 without any problems other
than one involving uploads to directories NFS mounted from a Sparc running
Solaris 2.4.  There are no problems downloading from such directories.

Once the client has cd'ed into the NFS mounted directory we're seeing a
failure of the getcwd() call in realpath.c.  The call returns NULL with
errno=2 (no such file or dir).  We're seeing the same failure when using
SCO's native realpath() call.

The really interesting part is that when the client has *not* cd'ed into
the directory but specifies that the upload is to go into that directory
it works great!

Has anyone heard of a fix for this particular problem?

--
Toomas Losin                                     MIND LINK! Web Admin
[email-masked]